org.apache.hadoop.registry.client.impl.zk

## Interface RegistryBindingSource

- All Known Implementing Classes:
    org.apache.hadoop.registry.client.impl.zk.CuratorService, RegistryOperationsClient, RegistryOperationsService

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface RegistryBindingSource

  Interface which can be implemented by a registry binding source

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BindingInformation` | `supplyBindingInformation()` Supply the binding information for this registry

- - ### Method Detail

    - #### supplyBindingInformation

          BindingInformation supplyBindingInformation()

      Supply the binding information for this registry
      Returns:
        the binding information data

Copyright © 2022 Apache Software Foundation. All rights reserved.